Name:           cagibi
Version:        0.1.1
Release:        2%{?dist}
Summary:        SSDP (UPnP discovery) cache/proxy daemon
Group:          System Environment/Base
License:        GPLv2+ and LGPLv2+
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/stable/cagibi/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  cmake
BuildRequires:  automoc


%description
Cagibi is a cache/proxy daemon for SSDP (the discovery part of UPnP).


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags}  -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# unpackaged files
rm -f %{buildroot}%{_libdir}/pkgconfig/cagibi.pc


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_bindir}/cagibid
%{_datadir}/dbus-1/services/org.kde.Cagibi.service


%changelog
* Thu Aug 12 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.1-2
- omit pkgconfig file (for now)

* Tue Aug 10 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Added pkgconfig file

* Wed Aug 04 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.1.0-2
- Fixed changelog entry
- COPYING.LIB in docs

* Wed Jul 28 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.1.0-1
- Initial package
